Extending Qt Creator Manual | SshDeviceProcess

Extending Qt Creator Manual 4.3.0

# SshDeviceProcess Class

(ProjectExplorer::SshDeviceProcess)

Inherits: | ProjectExplorer::DeviceProcess

- List of all members, including inherited members

## Public Functions

| SshDeviceProcess(const QSharedPointer<const IDevice> &device, QObject *parent = 0)
void | setSshServerSupportsSignals(bool signalsSupported)

- 11 public functions inherited from ProjectExplorer::DeviceProcess

### Additional Inherited Members

- 5 signals inherited from ProjectExplorer::DeviceProcess
- 1 protected function inherited from ProjectExplorer::DeviceProcess

## Member Function Documentation

### SshDeviceProcess::SshDeviceProcess(const QSharedPointer<const IDevice> &device, QObject *parent = 0)

Default constructs an instance of SshDeviceProcess.

### void SshDeviceProcess::setSshServerSupportsSignals(bool signalsSupported)